Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.om.mapper
Class ObjectListMapperTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.om.mapper.ObjectListMapperTest

All Implemented Interfaces:
  junit.framework.Test

    public class ObjectListMapperTest

extends BaseTestCase

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`ObjectListMapperTest()`

Method Summary
`void` | `setUp()` Re-Initialize Torque and fill supplied data.
`void` | `testByteNull()`
`void` | `testDoubleNull()`
`void` | `testFloatNull()`
`void` | `testIntegerNull()`
`void` | `testLongNull()`
`void` | `testProcessRowClassListAsArgument()` Tests the processRow method for a mapper with a fixed column count.
`void` | `testProcessRowLenghtAsArgument()` Tests the processRow method for a mapper with a fixed column count.
`void` | `testProcessRowLengthDeterminedFromMetadata()` Tests the processRow method for a mapper where the length is determined from the Metadata.
`void` | `testProcessRowLengthDeterminedFromMetadataWithOffset()` Tests the processRow method for a mapper with offset where the length is determined from the Metadata.
`void` | `testProcessRowSqlException()` Tests the processRow method if the resultSet throws a SqlException.
`void` | `testShortNull()`
`void` | `testUnknownClass()` Tests the processRow method if the resultSet throws a SqlException.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectListMapperTest

    public ObjectListMapperTest()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Description copied from class: `BaseTestCase`
  Re-Initialize Torque and fill supplied data. Subclasses which override setUp() must call super.setUp() as their first action.

  Overrides:
    `setUp` in class `BaseTestCase`
  Throws:
    `Exception` - if initialisation fails.

### testProcessRowLengthDeterminedFromMetadata

    public void testProcessRowLengthDeterminedFromMetadata()
                                                    throws Exception

  Tests the processRow method for a mapper where the length is determined from the Metadata.

  Throws:
    `Exception` - if the test fails

### testProcessRowLengthDeterminedFromMetadataWithOffset

    public void testProcessRowLengthDeterminedFromMetadataWithOffset()
                                                              throws Exception

  Tests the processRow method for a mapper with offset where the length is determined from the Metadata.

  Throws:
    `Exception` - if the test fails

### testProcessRowLenghtAsArgument

    public void testProcessRowLenghtAsArgument()
                                        throws Exception

  Tests the processRow method for a mapper with a fixed column count.

  Throws:
    `Exception` - if the test fails

### testProcessRowClassListAsArgument

    public void testProcessRowClassListAsArgument()
                                           throws Exception

  Tests the processRow method for a mapper with a fixed column count.

  Throws:
    `Exception` - if the test fails

### testProcessRowSqlException

    public void testProcessRowSqlException()
                                    throws Exception

  Tests the processRow method if the resultSet throws a SqlException.

  Throws:
    `Exception` - if the test fails

### testUnknownClass

    public void testUnknownClass()
                          throws Exception

  Tests the processRow method if the resultSet throws a SqlException.

  Throws:
    `Exception` - if the test fails

### testByteNull

    public void testByteNull()
                      throws Exception

  Throws:
    `Exception`

### testShortNull

    public void testShortNull()
                       throws Exception

  Throws:
    `Exception`

### testIntegerNull

    public void testIntegerNull()
                         throws Exception

  Throws:
    `Exception`

### testLongNull

    public void testLongNull()
                      throws Exception

  Throws:
    `Exception`

### testDoubleNull

    public void testDoubleNull()
                        throws Exception

  Throws:
    `Exception`

### testFloatNull

    public void testFloatNull()
                       throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.